PluginConfiguration (CMDB Model API)
Keywords: com.collation.platform.model.plugin.PluginConfiguration interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.plugin
Interface PluginConfiguration

All Superinterfaces:
  Configuration, ModelObject, java.io.Serializable

    public interface PluginConfiguration

extends Configuration

Field Summary

Fields inherited from interface com.collation.platform.model.Configuration
`OPER_ACCEPTED, OPER_NEW, OPER_REJECTED`

Method Summary
`boolean` | `getAnyOs()`
`PluginDefinition` | `getAnyOsPluginDef()`
`PluginOsMapping[]` | `getPluginOsMaps()`
`boolean` | `hasAnyOs()`
`boolean` | `hasAnyOsPluginDef()`
`boolean` | `hasPluginOsMaps()`
`void` | `setAnyOs(boolean anyOs)`
`void` | `setAnyOsPluginDef(PluginDefinition pluginDef)`
`void` | `setPluginOsMaps(PluginOsMapping[] pluginMaps)`

Methods inherited from interface com.collation.platform.model.Configuration
`getEnabled, getFamilyName, getMssGuid, getName, getOperationalStatus, getRejectionReason, hasEnabled, hasFamilyName, hasMssGuid, hasName, hasOperationalStatus, hasRejectionReason, setEnabled, setFamilyName, setMssGuid, setName, setOperationalStatus, setRejectionReason`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getAnyOs

    boolean getAnyOs()
                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setAnyOs

    void setAnyOs(boolean anyOs)

### hasAnyOs

    boolean hasAnyOs()

### getAnyOsPluginDef

    PluginDefinition getAnyOsPluginDef()
                                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setAnyOsPluginDef

    void setAnyOsPluginDef(PluginDefinition pluginDef)

### hasAnyOsPluginDef

    boolean hasAnyOsPluginDef()

### getPluginOsMaps

    PluginOsMapping[] getPluginOsMaps()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setPluginOsMaps

    void setPluginOsMaps(PluginOsMapping[] pluginMaps)

### hasPluginOsMaps

    boolean hasPluginOsMaps()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD